---
title: extract-brief-description
gitlaburl: https://gitlab.com/arbetsformedlingen/joblinks/extract-brief-description/-/blob/main//README.md
gitdir: /arbetsformedlingen/joblinks/extract-brief-description
gitdir-file-path: /README.md
date: '2023-10-19 10:12:55'
path: /arbetsformedlingen/joblinks/extract-brief-description/README.md
tags:
- README.md
---
# extract-brief-description  
Pipeline step that extracts a brief description for the ad  
  
## Prerequisites  
Docker and a bash shell  
  
## Needed input data for running  
The step needs a list of ads with the attributes/structure:    
{"originalJobPosting": { "description": "Annonsbeskrivningen för annons 1 här" }}    
{"originalJobPosting": { "description": "Annonsbeskrivningen för annons 2 här" }}    
  
## Building Docker image  
./run.sh --build  
  
## Running Docker with ads on stdin  
cat /tmp/ads_input  |  ./run.sh    >/tmp/ads_extract_brief_description_output  
  
## Clean Docker image  
./run.sh --clean  
  
## Mac, remove previous docker-builds + cointainers  
docker system prune  
  
## Start shell in Docker image  
docker run -it joblinks/extract-brief-description sh  
  
## Install for development   
pip install -r requirements.txt  
  
## Running with python and file as input (during development)  
If using ads file instead of stdin; put a pipeline file with ads in resources dir and run with:    
python main.py --filepath resources/thepipelinefile  
